Package org.flowable.common.engine.api

# Class FlowableWrongDbException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
org.flowable.common.engine.api.FlowableException
org.flowable.common.engine.api.FlowableWrongDbException

All Implemented Interfaces:
  `Serializable`

public class FlowableWrongDbException extends FlowableException
Exception that is thrown when the Flowable engine discovers a mismatch between the database schema version and the engine version. The check is done when the engine is created.

Author:
  Tom Baeyens
See Also:
  - Serialized Form

- ## Field Summary

  ### Fields inherited from class org.flowable.common.engine.api.FlowableException

  `isLogged, reduceLogLevel`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `FlowableWrongDbException(String libraryVersion, String dbVersion)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getDbVersion()`
  The version of the Flowable library that was used to create the database schema.
  `String`
  `getLibraryVersion()`
  The version of the Flowable library used.

  ### Methods inherited from class org.flowable.common.engine.api.FlowableException

  `isLogged, isReduceLogLevel, setLogged, setReduceLogLevel`

  ### Methods inherited from class java.lang.Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### FlowableWrongDbException

    public FlowableWrongDbException(String libraryVersion, String dbVersion)

- ## Method Details

  - ### getLibraryVersion

    public String getLibraryVersion()
    The version of the Flowable library used.

  - ### getDbVersion

    public String getDbVersion()
    The version of the Flowable library that was used to create the database schema.